Am I able to use iNdependence 1.2.5 and anysim 1.1 to update my current unlocked 1.0.2 phone? Or does the update process only apply to a brand new out the box phone? Little unsure of this

Thanks